using System.Net;
using System.Text.Json.Serialization;

namespace Radium.DataExporter.Models.Common.Results;

public class RecNetError
{
    [JsonPropertyName("type")]
    public Uri? Type { get; init; }

    [JsonPropertyName("title")]
    public string Title { get; init; } = string.Empty;

    [JsonPropertyName("status")]
    public HttpStatusCode Status { get; init; }

    [JsonPropertyName("detail")]
    public string Detail { get; init; } = string.Empty;

    [JsonPropertyName("traceId")]
    public string TraceId { get; init; } = string.Empty;
}